Subject: Re: bug#61483: [PATCH 0/5] Some basic Home Shepherd Services

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Sun, 05 Mar 2023 19:18:49 +0100

Ludovic Courtès writes:

Hey!

> "Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:
>
>> I've been waiting for Guix Home to offer some basic shepherd services for most
>> used daemons, replacing the neat shepherd hack described in
>>
>>     https://guix.gnu.org/en/blog/2020/gnu-shepherd-user-services/
>>
>> that I've been using, and am a bit puzzled as to why this didn't happen.  Are
>> people using Guix Home?
>
> I am!  :-)

Oh, good.  I'v been tempted for quite a while and will try to switch
when this patch series goes in.  I'll be moving bits the
executable/configuration bits (that are without secrets) from my
home.git to guix-home.

> Possible reasons not all the services described there made it into Guix
> Home: (1) needs vary :-),

yeah...could be I'm the only one using kodi and znc, but I expected
ssh-agent to be kinda popular...

> (2) it’s possible to migrate incrementally,
> with some things handled with Home while others are still managed “the
> old way” (that’s what I do),

That sounds like a stategy I'll be following too

> and (3) rde is kinda “competing” with Home by providing a whole bunch
> of services, giving less of an incentive to migrate them (it’s an
> unfortunate issue we identified at the time Home got merged).

Ouch, why that's...terrible?  Is there any reason stuff is not
contributed "up stream"? ;)

> But with contributions like these, the situation will improve!

Yay!  Let's go for that, then.

Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com